%define upstream_name    CSS-Minifier
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Remove unnecessary whitespace from CSS files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CSS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%{?perl_default_filter}

%description
This module removes unnecessary whitespace from CSS. The primary
requirement developing this module is to not break working stylesheets: if
working CSS is in input then working CSS is output. The Mac/Internet
Explorer comment hack will be minimized but not stripped and so will
continue to function.

This module understands space, horizontal tab, new line, carriage return,
and form feed characters to be whitespace. Any other characters that may be
considered whitespace are not minimized. These other characters include
paragraph separator and vertical tab.

For static CSS files, it is recommended that you minify during the build
stage of web deployment. If you minify on-the-fly then it might be a good
idea to cache the minified file. Minifying static files on-the-fly
repeatedly is wasteful.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-10.mga8
+ Revision: 1493632
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-9.mga7
+ Revision: 1266816
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.10.0-8.mga6
+ Revision: 1024716
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.10.0-7.mga6
+ Revision: 931310
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-6.mga5
+ Revision: 741694
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.10.0-5.mga5
+ Revision: 733007
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 683711
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 509558
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 363718
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 12 2012 guillomovitch <guillomovitch> 0.10.0-1.mga2
+ Revision: 222923
- imported package perl-CSS-Minifier


* Mon Mar 12 2012 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
